package com.sdtool.common.api;

import com.sdtool.common.entity.base.DataBaseMultiItemEx;
import com.sweetfish.service.Local;
import com.sweetfish.service.Service;
import com.sweetfish.util.AutoLoad;

import java.util.List;

/**
 * Created by jlutt on 2020-07-29
 * ERP平台基础服务
 *
 * @author jlutt
 */

@Local
@AutoLoad(false)
public interface ERPService extends Service {

    /**
     * 获取平台所有工厂客户列表
     *
     * @return 工厂列表
     */
    List<DataBaseMultiItemEx> getERPSupplierList();

    /**
     * 获取平台工厂客户信息
     *
     * @return 工厂列表
     */
    DataBaseMultiItemEx getERPSupplierInfo(long id);

    DataBaseMultiItemEx getERPSupplierInfoBySharding(long code);

    DataBaseMultiItemEx getERPSupplierInfoByCode(String code);

    int getSystemVersion(String dataSourceId, long supplierCode);

}
